Bug 489816 - /etc/profile disables core files by default via ulimit
/etc/profile disables core files by default via ulimit
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setup (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 20:21 EDT by James Kirkland
Modified: 2009-07-18 14:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-18 14:10:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Kirkland 2009-03-11 20:21:24 EDT
Description of problem:
The customer was having problems with an application, and was unable to get the application to produce a core file.   I told them to check ulimit and they found that the default values for ulimit set in /etc/profile suppress core file creation.   The customer would like this changed to not supress core files by default.

The line in /etc/profile is  'ulimit -S -c 0'

Version-Release number of selected component (if applicable):
Any

How reproducible:
Look in /etc/profile

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Core files to be enabled by default.

Additional info:
Comment 1 Ondrej Vasik 2009-03-12 03:27:36 EDT
I'm not sure if the change for everyone is way to go. As /etc/profile is configuration file, you may/could modify it yourself or you could add profile.d script which would change the ulimit to -c unlimited. Anyway, this /etc/profile ulimit could be at least a bit improved (e.g. like described in http://en.linuxreviews.org/HOWTO_enable_core-dumps - to make user able to change it easily for certain deamons/globally by envvar. Will probably do that in Fedora Rawhide soon.

NOTE: core dumps disabled by default is intentional behaviour, so any change in that needs some real justification. Could you please add more info why the customer wants to change global defaults instead of having his own profile.d script?
Comment 2 Ondrej Vasik 2009-07-18 14:10:26 EDT
Closing WONTFIX, coredump files should not be enabled by default. However - in rawhide setup that line was removed from /etc/profile as kernel changed it's default for soft coredump size to 0 (so no core dump). That's not the case of RHEL-5, so keeping that line.

Note You need to log in before you can comment on or make changes to this bug.